summaryrefslogtreecommitdiffstats
path: root/start-testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'start-testsuite.sh')
-rwxr-xr-xstart-testsuite.sh28
1 files changed, 26 insertions, 2 deletions
diff --git a/start-testsuite.sh b/start-testsuite.sh
index 8affdba..5b187fa 100755
--- a/start-testsuite.sh
+++ b/start-testsuite.sh
@@ -10,7 +10,9 @@ if [ $# -lt 1 ]; then
fi
SUITE=$1
-CFG=$(basename "$SUITE").cfg
+SUITE_DIR="$(dirname "$SUITE")"
+SUITE_NAME="$(basename "$SUITE")"
+CFG="$SUITE_NAME.cfg"
if [ $# -gt 1 ]; then
CFG=$2
fi
@@ -19,4 +21,26 @@ if [ $# -gt 2 ]; then
TEST=$3
fi
-LD_LIBRARY_PATH=$(dirname "$SUITE"):/usr/lib/titan:/usr/ttcn3/lib ttcn3_start $SUITE $CFG $TEST
+LD_LIBRARY_PATH="$SUITE_DIR:/usr/lib/titan:/usr/ttcn3/lib" ttcn3_start $SUITE $CFG $TEST
+
+expected="$SUITE_DIR/expected-results.log"
+if [ ! -f "$expected" ]; then
+ echo "No expected results found, not comparing outcome. ($expected)"
+ exit 0
+fi
+
+# find the most recent junit output log here
+last_log="$(ls -1tr junit*.log | tail -n 1)"
+if [ ! -f "$last_log" ]; then
+ echo "No junit log found."
+ exit 1
+fi
+
+compare="$SUITE_DIR/../compare-results.sh"
+if [ ! -x "$compare" ]; then
+ echo "ERROR: cannot find $compare"
+ exit 1
+fi
+
+set -e
+"$compare" "$expected" "$last_log" $OSMO_TTCN3_COMPARE_ARGS